package net.woodyfolsom.msproj.ann2;

public class NNData {
	private final double[] values;
	private final String[] fields;
	
	public NNData(String[] fields, double[] values) {
		this.fields = fields;
		this.values = values;
	}
	
	public NNData(NNData that) {
		this.fields = that.fields;
		this.values = that.values;
	}

	public String[] getFields() {
		return fields;
	}
	
	public double[] getValues() {
		return values;
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder("[");
		
		for (int i = 0; i < fields.length; i++) {
			if (i > 0) {
				sb.append(", " );
			}
			sb.append(fields[i] + "=" + values[i]);
		}
		sb.append("]");
		return sb.toString();
	}
}
